Bug 1002487 - bug occurs when I change the installation source
bug occurs when I change the installation source
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 06:10 EDT by lnie
Modified: 2013-09-04 09:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-04 09:01:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
packaging.log (487.64 KB, text/plain)
2013-08-29 06:11 EDT, lnie
no flags Details
syslog (65.17 KB, text/plain)
2013-08-29 06:11 EDT, lnie
no flags Details
program.log (9.58 KB, text/plain)
2013-08-29 06:12 EDT, lnie
no flags Details
anaconda.log (23.50 KB, text/plain)
2013-08-29 06:12 EDT, lnie
no flags Details
step1.png (73.34 KB, image/png)
2013-08-30 01:15 EDT, lnie
no flags Details
step2.png (77.08 KB, image/png)
2013-08-30 01:17 EDT, lnie
no flags Details
step4.png (77.52 KB, image/png)
2013-08-30 01:18 EDT, lnie
no flags Details
step3.png (67.72 KB, image/png)
2013-08-30 01:18 EDT, lnie
no flags Details
anaconda-tb-V3D2UN (805.02 KB, text/plain)
2013-09-03 16:17 EDT, David Shea
no flags Details

  None (edit)
Description lnie 2013-08-29 06:10:20 EDT
Description of problem:

 Do a default install,change the installation source twice,bug occurs.Actually,
 I thought maybe this version of anaconda is too brittle(as it's alpha Tc2) ,so I click into and out"INstallation destination",but unfortunately or fortunately,no bug occurs.

Version-Release number of selected component (if applicable):

F20-Alpha-Tc2 (DVD)
How reproducible:

always
Steps to Reproduce:
1.Do a default install
2.change the install source to "http://download.fedoraproject.org/...",click"Done"
3.after the error checking ,change install source again,and click"Done",bug occurs

Actual results:
 bug occurs

Expected results:
 no bug occurs,even change "installation source" many times.

Additional info:
Comment 1 lnie 2013-08-29 06:11:00 EDT
Created attachment 791677 [details]
packaging.log
Comment 2 lnie 2013-08-29 06:11:40 EDT
Created attachment 791678 [details]
syslog
Comment 3 lnie 2013-08-29 06:12:12 EDT
Created attachment 791679 [details]
program.log
Comment 4 lnie 2013-08-29 06:12:51 EDT
Created attachment 791680 [details]
anaconda.log
Comment 5 David Shea 2013-08-29 09:55:41 EDT
Can you be more specific? What bug occurs? Is there a traceback? Can you attach the traceback data to this bug?
Comment 6 lnie 2013-08-30 01:13:40 EDT
As,you can see in the attachment,anaconda crashed.I thought the logs and my specific description would be enough,sorry for the time. To help you figure out the problem,I attach the step-by step sreen shots here.
Comment 7 lnie 2013-08-30 01:15:56 EDT
Created attachment 792018 [details]
step1.png
Comment 8 lnie 2013-08-30 01:17:00 EDT
Created attachment 792019 [details]
step2.png
Comment 9 lnie 2013-08-30 01:18:18 EDT
Created attachment 792020 [details]
step4.png
Comment 10 lnie 2013-08-30 01:18:56 EDT
Created attachment 792021 [details]
step3.png
Comment 11 David Shea 2013-09-03 16:17:30 EDT
Created attachment 793348 [details]
anaconda-tb-V3D2UN
Comment 12 David Shea 2013-09-03 16:24:26 EDT
lnie, the log files you attached do not contain information about the crash. When anaconda crashes, the crash data is written to a file named /tmp/anaconda-tb-*. I've attached the traceback from a crash that I was able to create. Is this the same bug you are seeing? You can also see the crash data by clicking on the "More Info" link in the window you see in Step 4. If this is the same crash, you should see the message, "AttributeError: 'FC3_Cdrom' object has no attribute 'noverifyssl'". If not, please attach the anaconda-tb file in /tmp.
Comment 13 David Shea 2013-09-03 16:50:54 EDT
If this crash is the same as the one I encountered, it is fixed by the fix for bug 1001081.
Comment 14 lnie 2013-09-03 23:21:11 EDT
David,they are the same.I cann't believe that I forgot to attach that important one!I should sent myself to face the wall right now,so see you in next bug,haha.
Comment 15 David Shea 2013-09-04 09:01:56 EDT
No problem, glad we could get it worked out

Note You need to log in before you can comment on or make changes to this bug.